org.jfree.xml.parser.coretypes

## Class BasicStrokeReadHandler

- java.lang.Object
- - org.jfree.xml.parser.AbstractXmlReadHandler
  - - org.jfree.xml.parser.coretypes.BasicStrokeReadHandler

All Implemented Interfaces:
  XmlReadHandler

    public class BasicStrokeReadHandler
    extends AbstractXmlReadHandler

A SAX handler for reading a `BasicStroke` object from XML.

To do: this should have a multiplexer in front like the PaintReadHandler

### Constructor Summary

Constructors
Constructor and Description
`BasicStrokeReadHandler()` Creates a new handler.

### Method Summary

Methods
`java.lang.Object` `getObject()` Returns the stroke under construction.
`protected void` `startParsing(org.xml.sax.Attributes attrs)` Called at the start of parsing a `BasicStroke` element, this method reads the attributes and constructs the stroke.

### Methods inherited from class org.jfree.xml.parser.AbstractXmlReadHandler

`characters, doneParsing, endElement, getHandlerForChild, getRootHandler, getTagName, init, startElement`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BasicStrokeReadHandler

    public BasicStrokeReadHandler()

Creates a new handler.

### Method Detail

#### startParsing

    protected void startParsing(org.xml.sax.Attributes attrs)
                         throws org.xml.sax.SAXException

Called at the start of parsing a `BasicStroke` element, this method reads the attributes and constructs the stroke.

Overrides:
  `startParsing` in class `AbstractXmlReadHandler`
Parameters:
  `attrs` - the attributes.
Throws:
  `org.xml.sax.SAXException` - to indicate a parsing error.

#### getObject

    public java.lang.Object getObject()

Returns the stroke under construction.

Returns:
  the stroke.